ru.bitel.bgbilling.modules.qiwi.common.service

## Interface QiwiService

- All Superinterfaces:
    ru.bitel.bgbilling.common.service.PaymentServiceProvider

      public interface QiwiService
      extends ru.bitel.bgbilling.common.service.PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkPayment(int contractId, Period period)`
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, Page page)` Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `beginTransaction`

- - ### Method Detail

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          Period period,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
      Parameters:
        `contractId` - TODO
        `contractTitle` - название договора
        `status` - числовой код статуса. (см. `PayturePaymentStatus`
        `period` - период фильтрации транзакций.
      Returns:
        список транзакций.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkPayment

          void checkPayment(int contractId,
                            Period period)
                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`